<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.Properties"%>
<%@page import="eu.europa.ec.re3gistry.module.Module"%>
<%@page import="java.util.List"%>
<%@page import="eu.europa.ec.re3gistrycommon.model.Procedurestatus"%>
<%@page import="eu.europa.ec.re3gistrydata.constants.Constants"%>
<%@page import="eu.europa.ec.re3gistrycommon.managers.ProcedurestatusMgr"%>
<%@page import="javax.persistence.EntityManager"%>
<%@page import="eu.europa.ec.re3gistrycommon.utils.PersistenceFactory"%>
<%@page import="eu.europa.ec.re3gistrycommon.managers.DataprocedureMgr"%>
<%@page import="eu.europa.ec.re3gistrycommon.model.Dataprocedure"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<jsp:useBean id="constants" class="eu.europa.ec.re3gistrydata.constants.Constants" scope="session" />

<h2>${module.localization['common.pagetitle']}</h2>
<div>
    <p>${module.localization['main.description']}</p>

    <%
        EntityManager em = PersistenceFactory.getEntityManagerFactory().createEntityManager();
        DataprocedureMgr dataprocedureMgr = new DataprocedureMgr(em);
        ProcedurestatusMgr procedurestatusMgr = new ProcedurestatusMgr(em);
        Procedurestatus inprogeress = procedurestatusMgr.getStatusByUuid(Constants.PROCEDURESTATUS_INPROGRESS);
        List<Dataprocedure> dataprocedureInprogress = dataprocedureMgr.findByProcedurestatus(inprogeress);
        if (dataprocedureInprogress.size() <= 0) {
    %> 

    <form enctype="multipart/form-data" method="post" action="./procedurestart">
        <fieldset>
            <div id="upload-file-container">
                <span id="loaddata">${module.localization['main.loaddata.label']}</span>
                <input id="datafile" type="file" name="datafile" />
            </div>
            <div id="lblc">
                <span>Insert a label to identify this procedure</span>
                <input id="lbl" name="lbl" type="text" maxlength="60"/>
                <script>
                    $("#lbl").val("");
                    $("#lbl").on("keyup", function() {
                        if ($(this).val() != "") {
                            $("#lblc span").hide();
                            $("#startprocedure").show();
                            $("#fwarnings").show();
                        } else {
                            $("#lblc span").show();
                            $("#startprocedure").hide();
                            $("#fwarnings").hide();
                        }
                    })
                </script>
            </div>
            <input id="startprocedure" type="submit" value="${module.localization['main.startprocedure.label']}" />
            <span id="fwarnings">
                <input type="checkbox" name="fwarnings"  />
                <span>${module.localization['main.fwarning.label']}</span>
                <a class="hlp" title="${module.localization['main.fwarning.message']}"></a>
            </span>
            <script>
                $(function() {
                    $(".hlp").tooltip({
                        track: true
                    });
                });
            </script>
            <span id="fdb"></span>
            <span id="ldr"></span>
            <script>
                $("#datafile").on("change", function(event) {
                    if ($(this).val()) {
                        if ($(this).val().indexOf('') > 0) {
                            var c = '/';
                        } else {
                            var c = '\\';
                        }
                        var filename = $(this).val().substring($(this).val().lastIndexOf(c) + 1);
                        $("#loaddata").html(filename);
                        $("#lblc").css("display", "inline-block");
                        ;
                    } else {
                        $("#loaddata").html("${module.localization['main.loaddata.label']}");
                        $("#lblc").hide();
                    }
                });
                $("#startprocedure").on("click", function(event) {
                    if (!$("#datafile").val()) {
                        event.preventDefault();
                        $("#fdb").html("${module.localization['errors.datafile.select']}").show();
                    } else {
                        $("#fdb").html("");
                        $("#fdb").hide("");
                        $("#ldr").css('display', 'inline-block');
                        $("#feedback-container").html("");
                        setTimeout(function() {
                            $("#redir-dialog").dialog("open");
                            setTimeout(function() {
                                window.location.href = ("./")
                            }, 5000);
                        }, 3000000); //50 min
                    }
                });
                $(function() {
                    $("input[type=submit]").button({
                        icons: {primary: "ui-icon-arrowthick-1-e"},
                        text: true
                    });
                });
            </script>
        </fieldset>
    </form>

    <p>Example data file:
    <ul>
        <li><a href="./examples/EmptyDataFile.zip">Empty file format model</a></li>
        <li><a href="./examples/ExampleTestFile.zip">File filled with example data</a></li> 
    </ul>
    </p>

    <div id="feedback-container">       

        <c:set var="currenterror" value="${requestScope[constants.ERROR_TYPE]}"/>
        <c:set var="procedurecompleted" value="${requestScope[constants.PROCEDURE_COMPLETED]}"/>

        <c:choose>
            <c:when test="${not empty currenterror}">
                <c:choose>
                    <c:when test="${currenterror eq constants.ERROR_KEY_FORMAT}">
                        <div id="progress">
                            <div class="error">${module.localization['pbar.formatcheck']}</div><div>${module.localization['pbar.analyse']}</div><div>${module.localization['pbar.store']}</div>
                        </div>
                        <h3>${module.localization['errors.format.title']}</h3>
                        <p>${module.localization['errors.format.description']}</p>
                        <jsp:include page="exportgui.jsp"></jsp:include>
                    </c:when>
                    <c:when test="${currenterror eq constants.ERROR_KEY_ANALYZER}">

                        <c:set var="type_class" value="warning"></c:set>
                        <c:forEach items="${reports}" var="report">
                            <c:if test="${report.type == 'Error'}">
                                <c:set var="type_class" value="error"></c:set>
                            </c:if>
                        </c:forEach>
                        <div id="progress">
                            <div class="done">${module.localization['pbar.formatcheck']}</div><div class="${type_class}">${module.localization['pbar.analyse']}</div><div>${module.localization['pbar.store']}</div>
                        </div>

                        <c:if test="${type_class == 'error'}">
                            <h3>${module.localization['errors.analyzer.title']}</h3>
                            <p>${module.localization['errors.analyzer.description']}</p>
                        </c:if>

                        <c:if test="${type_class == 'warning'}">
                            <h3>${module.localization['warnings.analyzer.title']}</h3>
                            <p>${module.localization['warnings.analyzer.description']}</p>
                        </c:if>

                        <jsp:include page="exportgui.jsp"></jsp:include>
                    </c:when>
                    <c:when test="${currenterror eq constants.ERROR_KEY_STORE}">                    
                        <div id="progress">
                            <div class="done">${module.localization['pbar.formatcheck']}</div><div class="done">${module.localization['pbar.analyse']}</div><div class="donewarning" title="${module.localization['errors.store.description']}">${module.localization['pbar.store']}</div>
                        </div>
                        <h3>${module.localization['errors.store.title']}</h3>
                        <c:choose>
                            <c:when test="${requestScope[constants.FORM_FIELD_FWARNINGS] == constants.CHECKBOX_ON_VALUE}">
                                <p><strong>${module.localization['main.fwarning.donemessage']}</strong></p>
                            </c:when>
                            <c:otherwise>
                                <p>${module.localization['errors.store.description']}</p>
                            </c:otherwise>
                        </c:choose>

                        <jsp:include page="exportgui.jsp"></jsp:include>
                    </c:when>
                    <c:when test="${currenterror eq constants.ERROR_KEY_GENERIC}">
                        <div id="progress">
                            <div class="">${module.localization['pbar.formatcheck']}</div><div class="">${module.localization['pbar.analyse']}</div><div class="">${module.localization['pbar.store']}</div>
                        </div>
                        <h3>${module.localization['errors.generic.title']}</h3>
                        <p>${module.localization['errors.generic.description']}</p>
                        <jsp:include page="exportgui.jsp"></jsp:include>
                    </c:when>
                </c:choose>
                <br/>
                <table>
                    <thead>
                        <tr>
                            <th>${module.localization['dtable.type']}</th>
                            <th>${module.localization['dtable.context']}</th>
                            <th>${module.localization['dtable.action']}</th>
                            <th>${module.localization['dtable.line']}</th>
                            <th>${module.localization['dtable.message']}</th>
                        </tr>
                    </thead>
                    <tbody>
                        <c:forEach items="${reports}" var="report">                            
                            <c:choose>
                                <c:when test="${report.line<0}">
                                    <c:set var="line" value=""></c:set>
                                </c:when>
                                <c:otherwise>
                                    <c:set var="line" value="${report.line}"></c:set>
                                </c:otherwise>
                            </c:choose>
                            <tr><td>${report.type}</td><td>${report.context}</td><td>${report.action}</td><td>${line}</td><td>${report.message}</td></tr>
                        </c:forEach>
                    </tbody>
                </table>
                <script>
                    $('table').dataTable({
                        "bJQueryUI": true,
                        "sPaginationType": "full_numbers",
                        "iDisplayLength": 25,
                        "aaSorting": [[1, "asc"]]
                    });
                </script>
            </c:when>
            <c:when test="${not empty procedurecompleted}">
                <div id="progress">
                    <div class="done">${module.localization['pbar.formatcheck']}</div><div class="done">${module.localization['pbar.analyse']}</div><div class="done">${module.localization['pbar.store']}</div>
                </div>
                <h3>${module.localization['success.procedurecompleted.title']}</h3>
                <p>${module.localization['success.procedurecompleted.description']}</p>
            </c:when>
        </c:choose>
    </div>
    <%
    } else {
    %>
    <p>
        <strong>${module.localization['main.procedure.inprogress']}</strong>
    </p>

    <div id="feedback-container" class="lgtmar">
        <table id="data">
            <thead>
                <tr>
                    <th>${module.localization['main.comment']}</th>
                    <th>${module.localization['main.status']}</th>
                    <th>${module.localization['main.date']}</th>
                    <th>${module.localization['main.dateend']}</th>
                </tr>
            </thead>
        </table>
        <script>
            var datalist = $('table#data').DataTable({
                "bJQueryUI": true,
                "sPaginationType": "full_numbers",
                "iDisplayLength": 10,
                "aaSorting": [[2, "desc"]],
                "ajax": "modules/Re3gistryData/get-table.jsp"
            });
            setInterval(function() {
                datalist.ajax.reload();
            }, 15000);
        </script>
    </div>
    <%
        }
    %>
    <div id="redir-dialog">
        ${module.localization['main.redirectmessage']}
    </div>
    <script>
        $("#redir-dialog").dialog({autoOpen: false});
    </script>
</div>