<?xml version="1.0" encoding="UTF-8"?>

<!--  Copyright 2010,2013 EUROPEAN UNION
  Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
  the European Commission - subsequent versions of the EUPL (the "Licence");
  You may not use this work except in compliance with the Licence.
  You may obtain a copy of the Licence at:
 
  http://ec.europa.eu/idabc/eupl
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the Licence is distributed on an "AS IS" basis,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the Licence for the specific language governing permissions and
  limitations under the Licence.
 
  Date: 14/06/2013
  Authors: European Commission, Joint Research Centre
  Daniele Francioli, Emanuela Epure
  inspire-registry-info@jrc.ec.europa.eu
 
This work was supported by the EU  Interoperability Solutions for
European Public Administrations Programme (http://ec.europa.eu/isa)
through Action 1.17: Re-usable INSPIRE Reference Platform 
(http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).-->


<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">   
   
    <xsl:output method="html"/>  
   
    <!--<xsl:variable name="base_res_uri" select="'http://inspire.ec.europa.eu'" />-->
    
    <xsl:template name="res">
        <xsl:param name="base_res_uri" />
        
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta name="format-detection" content="telephone=no" />
        
        <link rel="stylesheet" type="text/css">
            <xsl:attribute name="href">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/css/style.css</xsl:text>
            </xsl:attribute>
        </link>
        <script>var lng="<xsl:value-of select="$language"/>";</script>
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/jquery-1.9.1.js</xsl:text>
            </xsl:attribute>
        </script>                
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/jquery-ui-1.10.1.min.js</xsl:text>
            </xsl:attribute>
        </script>     
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/jquery.dataTables.js</xsl:text>
            </xsl:attribute>
        </script>                
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/common-init.js</xsl:text>
            </xsl:attribute>
        </script>
        <xsl:comment><![CDATA[[if lte IE 8]><script src="http://inspire.ec.europa.eu/res/js/modernizr.js"></script><![endif]]]></xsl:comment>

    </xsl:template>
        
    <xsl:template name="resmin">
        
        <link rel="stylesheet" type="text/css" href="http://inspire.ec.europa.eu/res/css/style.css" />
        <script src="http://inspire.ec.europa.eu/res/js/jquery-1.9.1.js"></script>
        <script src="http://inspire.ec.europa.eu/res/js/jquery-ui-1.10.1.min.js"></script>
        <script src="http://inspire.ec.europa.eu/res/js/modernizr.js"></script>

    </xsl:template>
</xsl:stylesheet>
