/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistry.constants;

/**
 * Collected constants of general utility.
 */
public final class Constants {

    /* ###################################### */
    /* ########## Localization key ########## */
    /**
     * Localizations properties prefix
     */
    public static final String LOCALIZATION_PREFIX = "localization.";

    /**
     * Localizations properties suffix
     */
    public static final String LOCALIZATION_SUFFIX = ".LocalizationBundle";

    /**
     * Localizations properties baseappname
     */
    public static final String BASEAPP_NAME = "Application";

    /* ###################################### */
    /* ########## Common constants ########## */
    /**
     * Modules default path
     */
    public static final String MODULE_PATH = "modules";

    /**
     * Request key referer
     */
    public static final String KEY_REQUEST_REFERER = "referer";

    /**
     * Web inf path name
     */
    public static final String WEBINF_FOLDER_NAME = "WEB-INF";

    /**
     * Classes path name
     */
    public static final String CLASSES_FOLDER_NAME = "classes";

    /**
     * Configurations path name
     */
    public static final String CONFIGURATIONS_FOLDER_NAME = "configurations";

    /**
     * Modules path name
     */
    public static final String MODULES_FOLDER_NAME = "modules";

    /**
     * page forward key
     */
    public static final String PAGE_FORWARD = "index.jsp";

    /**
     * generic error page key
     */
    public static final String ERROR_GENERIC = "generic.jsp";

    /**
     * no module error page key
     */
    public static final String ERROR_NO_MODULE = "no-module.jsp";
    
     /**
     * status in progress id
     */
    public static final String STATUS_IN_PROGRESS = "1";

    /* ###################################### */
    /* ############# Request key ############ */
    /**
     * Default content type
     */
    public static final String CONTENT_TYPE = "text/html;charset=UTF-8";

    /**
     * Error key
     */
    public static final String ERROR_KEY = "error";

    /**
     * Log key
     */
    public static final String LOG_KEY = "log";

    /**
     * Properties key
     */
    public static final String PROPS_KEY = "props";

    /**
     * Baseurl key
     */
    public static final String BASEURL_KEY = "baseurl";

    /**
     * Modules key
     */
    public static final String MODULES_KEY = "modules";

    /**
     * Module key
     */
    public static final String MODULE_KEY = "module";

    /**
     * Localization key
     */
    public static final String LOCALIZATION_KEY = "localization";

    /**
     * Current locale key
     */
    public static final String CURRENTLOCALE_KEY = "currentLocale";

    /**
     * Current locale key
     */
    public static final String AVAILABLELANGUAGES_KEY = "availableLanguages";

    /**
     * Current locale key
     */
    public static final String MODULE_PARAMETER_KEY = "m";

    /* ###################################### */
    /* ############# Module properties key ############ */
    /**
     * Module active key
     */
    public static final String MODULE_KEY_ACTIVE = "module.active";

    /**
     * Module menuitem visible key
     */
    public static final String MODULE_KEY_MENU_VISIBLE = "module.menuitem.visible";

    /**
     * Module home widget enabled key
     */
    public static final String MODULE_KEY_HOMEWIDGET_ENABLED = "module.homewidget.enabled";

    /**
     * Module menuitem label key
     */
    public static final String MODULE_KEY_MENUITEM_LABEL = "module.menuitem.label";


    /* ###################################### */
    /* ############# Localization properties key ############ */
    /**
     * Language session key
     */
    public static final String LANGUAGE_SESSION_KEY = "language";

    /**
     * Language request key
     */
    public static final String LANGUAGE_REQUEST_KEY = "lng";

    /**
     * Available language separator
     */
    public static final String AVAILABLE_LANGUAGE_SEPARATOR = "-";

    /**
     * Available language property key
     */
    public static final String AVAILABLE_LANGUAGE_PROPERTY_KEY = "application.language.available";

    /**
     * Available language label property
     */
    public static final String AVAILABLE_LANGUAGE_LABEL_PROPERTY_KEY = "application.language.label.";
}
