<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<header>
    <div id="topright">
        
        <%-- Top Links --%>
        <div id="topright-links"><a id="about" href="#">${localization['header.about']}</a> | 
            <a href="mailto:${props['application.contact']}">${localization['header.contact']}</a> |         
            <a target="_blank" href="http://ec.europa.eu/geninfo/legal_notices_en.htm">${localization['header.legal-notice']}</a> |
            <%--<a href="./${props['application.link.logout']}">${localization['header.logout']}</a>--%>
        </div>
        <%-- / Top links --%>
        
        <%-- Language selector --%>
        <div id="widget-lang_select">
            <select id="cngl" value="${localization['common.langid']}">
                <c:forEach items="${availableLanguages}" var="language">
                    <c:choose>
                        <c:when test="${language.localeCode eq localization['common.langid']}">
                            <option selected="selected" value="${language.localeCode}"> ${language.localeLabel}(${language.localeCode})</option>
                        </c:when>
                        <c:otherwise>
                            <option value="${language.localeCode}"> ${language.localeLabel}(${language.localeCode})</option>
                        </c:otherwise>
                    </c:choose>
                </c:forEach>
            </select>
        </div>
        <%-- / Language selector --%>
    </div>
                
    <%-- Breadcrumb --%>            
    <div id="breadctxt">
        <a href="http://ec.europa.eu/index_en.htm">${localization['common.eucom']}</a>&nbsp;&gt;
        <a href="./">${localization['common.title']}</a>
        <c:if test="${not empty module}">
            &gt;&nbsp;<a href="./?m=${module.moduleName}">${module.menuLabel}</a>
        </c:if>
    </div>
    <%--  / Breadcrumb --%>

    <%-- About dialog --%>
    <div class="dialog" id="aboutd" title="${localization['about.label']}">
        <h2>${localization['about.descriptive.label']}</h2>
        <p>${localization['about.text']}</p>
    </div>
    <%-- / About dialog --%>
</header>
