/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrydata.beans;

public class Field {
    
    int position;
    String name;
    String itemClass;
    boolean required;
    boolean customattribute;
    boolean multivalued;
    boolean coded;
    boolean foreignkey;

    public Field(int position, String name, String itemClass, boolean required) {
        this.position = position;
        this.name = name;
        this.itemClass = itemClass;
        this.required = required;
        this.customattribute = false;
        this.coded = false;
        this.foreignkey = false;
        this.multivalued = false;
    }

    public Field(int position, String name, String itemClass, boolean required, boolean customattribute, boolean multivalued, boolean coded, boolean foreignkey) {
        this.position = position;
        this.name = name;
        this.itemClass = itemClass;
        this.required = required;
        this.customattribute = customattribute;
        this.multivalued = multivalued;
        this.coded = coded;
        this.foreignkey = foreignkey;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isRequired() {
        return required;
    }

    public void setRequired(boolean required) {
        this.required = required;
    }

    public boolean isCustomattribute() {
        return customattribute;
    }

    public void setCustomattribute(boolean customattribute) {
        this.customattribute = customattribute;
    }

    public boolean isMultivalued() {
        return multivalued;
    }

    public void setMultivalued(boolean multivalued) {
        this.multivalued = multivalued;
    }

    public boolean isCoded() {
        return coded;
    }

    public void setCoded(boolean coded) {
        this.coded = coded;
    }

    public boolean isForeignkey() {
        return foreignkey;
    }

    public void setForeignkey(boolean foreignkey) {
        this.foreignkey = foreignkey;
    }

    public int getPosition() {
        return position;
    }

    public void setPosition(int position) {
        this.position = position;
    }

    public String getItemClass() {
        return itemClass;
    }

    public void setItemClass(String itemClass) {
        this.itemClass = itemClass;
    }
    
}
