/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrydata.beans;

public class Report {

    private String context;
    private String action;
    private String message;
    private String type;
    private int line;

    public Report(String context, String action, String message, String type, int line) {
        
        context = (context != null) ? context : "-";
        action = (action != null) ? action : "-";
        message = (message != null) ? message : "-";
        type = (type != null) ? type : "-";
        
        this.context = context;
        this.action = action;
        this.message = message;
        this.type = type;
        this.line = line;
    }

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        context = (context != null) ? context : "-";
        this.context = context;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        action = (action != null) ? action : "-";
        this.action = action;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        message = (message != null) ? message : "-";
        this.message = message;
    }

    public int getLine() {
        return line;
    }

    public void setLine(int line) {
        this.line = line;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

}
