/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrydata.beans;

import eu.europa.ec.re3gistrydata.constants.Constants;

public class Retirement {

    private String localId;
    private String collectionLocalId;
    private boolean recursive;
    private String comment;
    private String itemClass;

    public Retirement(String LocalId, String collectionLocalId, String recursive, String Comment, String itemClass) {
        this.localId = LocalId;
        this.collectionLocalId = collectionLocalId;
        this.recursive = (recursive != null && recursive.length() > 0);
        this.comment = Comment;
        this.itemClass = itemClass;
    }

    public String getLocalId() {
        return localId;
    }

    public void setLocalId(String SupersededLocalId) {
        this.localId = SupersededLocalId;
    }

    public boolean isRecursive() {
        return recursive;
    }

    public void setRecursive(String recursive) {
        this.recursive = (recursive != null && recursive.length() > 0);
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String Comment) {
        this.comment = Comment;
    }

    public String getItemClass() {
        return itemClass;
    }

    public void setItemClass(String itemClass) {
        this.itemClass = itemClass;
    }

    public String getCollectionLocalId() {
        return collectionLocalId;
    }

    public void setCollectionLocalId(String collectionLocalId) {
        this.collectionLocalId = collectionLocalId;
    }

    public static String getRetirementHashKey(String localId, String collectionLocalId) {
        return localId + Constants.HASHMAP_KEY_SEPARATOR + collectionLocalId;
    }

}
