/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrydata.beans;

import eu.europa.ec.re3gistrydata.constants.Constants;

public class Supersession {

    private String supersededLocalId;
    private String supersededCollectionLocalId;
    private String newLocalId;
    private String newCollectionLocalId;
    private String comment;
    private String itemClass;

    public Supersession(String supersededLocalId, String supersededCollectionLocalId, String newLocalId, String newCollectionLocalId, String comment, String itemClass) {
        this.supersededLocalId = supersededLocalId;
        this.supersededCollectionLocalId = supersededCollectionLocalId;
        this.newLocalId = newLocalId;
        this.newCollectionLocalId = newCollectionLocalId;
        this.comment = comment;
        this.itemClass = itemClass;
    }

    public String getSupersededLocalId() {
        return supersededLocalId;
    }

    public void setSupersededLocalId(String supersededLocalId) {
        this.supersededLocalId = supersededLocalId;
    }

    public String getSupersededCollectionLocalId() {
        return supersededCollectionLocalId;
    }

    public void setSupersededCollectionLocalId(String supersededCollectionLocalId) {
        this.supersededCollectionLocalId = supersededCollectionLocalId;
    }

    public String getNewLocalId() {
        return newLocalId;
    }

    public void setNewLocalId(String newLocalId) {
        this.newLocalId = newLocalId;
    }

    public String getNewCollectionLocalId() {
        return newCollectionLocalId;
    }

    public void setNewCollectionLocalId(String newCollectionLocalId) {
        this.newCollectionLocalId = newCollectionLocalId;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getItemClass() {
        return itemClass;
    }

    public void setItemClass(String itemClass) {
        this.itemClass = itemClass;
    }
    
    public static String getSupersessionHashKey(String localId, String collectionLocalId){
        return localId + Constants.HASHMAP_KEY_SEPARATOR + collectionLocalId;
    }
}
