/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrydata.managers;

import eu.europa.ec.re3gistrydata.beans.Report;
import java.util.ArrayList;
import java.util.List;

public class ReportMgr {

    private final ArrayList<Report> reports;

    public ReportMgr() {
        reports = new ArrayList<Report>();
    }

    public void addReport(String itemclass, String action, String message, String type, int line) {
        reports.add(new Report(itemclass, action, message, type, line));
    }

    public List<Report> getReports(){
        return reports;
    }
    
    public void printReports() {
        for (int i = 0; i < reports.size(); i++) {
            Report temp = reports.get(i);
            System.out.println("# " + temp.getContext() + " - " + temp.getAction() + " - " + temp.getMessage() + " - " + temp.getLine());
        }
    }
 
    public int size(){
        return reports.size();
    }
}
