/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrystaticizer.bean;

import java.util.Date;

public class ItemBean {

    private String uriname;
    private String itemclass;
    private String action;
    private String languagecodeLabel;
    private Date datecreation;

    public ItemBean() {
    }

    public ItemBean(String uriname, String itemclass, String action, String languagecodeLabel, Date datecreation) {
        uriname = (uriname != null) ? uriname : "-";
        itemclass = (itemclass != null) ? itemclass : "-";
        action = (action != null) ? action : "-";
        languagecodeLabel = (languagecodeLabel != null) ? languagecodeLabel : "-";

        this.uriname = uriname;
        this.itemclass = itemclass;
        this.action = action;
        this.languagecodeLabel = languagecodeLabel;
        this.datecreation = datecreation;
    }

    public String getUriname() {
        return uriname;
    }

    public void setUriname(String uriname) {
        this.uriname = uriname;
    }

    public String getItemclass() {
        return itemclass;
    }

    public void setItemclass(String itemclass) {
        this.itemclass = itemclass;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getLanguagecodeLabel() {
        return languagecodeLabel;
    }

    public void setLanguagecodeLabel(String languagecodeLabel) {
        this.languagecodeLabel = languagecodeLabel;
    }

    public Date getDatecreation() {
        return datecreation;
    }

    public void setDatecreation(Date datecreation) {
        this.datecreation = datecreation;
    }
}
