/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrystaticizer.bean;

public class StaticizerBean {

    private String uuid;
    private String procedurestatuslabel;
    private String datestart;
    private String dateend;

    public StaticizerBean(String uuid, String procedurestatuslabel, String datestart, String dateend) {
        uuid = (uuid != null) ? uuid : "-";
        procedurestatuslabel = (procedurestatuslabel != null) ? procedurestatuslabel : "-";
        datestart = (datestart != null) ? datestart : "-";
        dateend = (dateend != null) ? dateend : "-";

        this.uuid = uuid;
        this.procedurestatuslabel = procedurestatuslabel;
        this.datestart = datestart;
        this.dateend = dateend;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getProcedurestatuslabel() {
        return procedurestatuslabel;
    }

    public void setProcedurestatuslabel(String procedurestatuslabel) {
        this.procedurestatuslabel = procedurestatuslabel;
    }

    public String getDatestart() {
        return datestart;
    }

    public void setDatestart(String datestart) {
        this.datestart = datestart;
    }

    public String getDateend() {
        return dateend;
    }

    public void setDateend(String dateend) {
        this.dateend = dateend;
    }
}
