/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrystaticizer.constants;

public class Constants {

    /**
     * The name of this module
     */
    public static final String MODULE_NAME = "Re3gistryStaticizer";
    /**
     * Properties keys
     */
    public static final String STATICIZER_FOLDER_PATH = "staticizer.custom.folder.path";
    public static final String STATICIZER_STANDARD_FOLDER = "staticizer.standard.folder";
    public static final String STATICIZER_CUSTOM_FOLDER = "staticizer.custom.folder";
    public static final String STATICIZER_SOLR_FOLDER = "staticizer.solr.folder";
    public static final String STATICIZER_SOLR_CUSTOM_FOLDER = "staticizer.solrcustom.folder";
    public static final String STATICIZER_FORMATS = "xsl.formats.list";
    public static final String STATICIZER_SOLR_FORMAT = "staticizer.SOLR.format";
    public static final String STATICIZER_FORMATS_PATH = "staticizer.formats.path";
    /**
     * reports keys
     */
    public static final String STATICIZER_LIST_ATTRIBUTE = "staticizerlist";
    public static final String STATICIZER_LIST_SIZE_ATTRIBUTE = "staticizerlistsize";
    public static final String STATICIZER_ATTRIBUTE = "staticizer";
    public static final String DATA_PROCEDURE_LIST_ATTRIBUTE = "dataprocedurelist";
    public static final String DATA_PROCEDURE_LIST_SIZE_ATTRIBUTE = "dataprocedurelistsize";
    public static final String ITEM_LIST_ATTRIBUTE = "itemslist";
    public static final String ITEM_LIST_SIZE_ATTRIBUTE = "itemslistsize";
    /**
     * Beans keys
     */
    public static final String ANALYZE_STATICIZER = "Analyze staticizer";
    public static final String ANALYZE_DATA_PROCEDURE = "Analyze Date procedure";
    /**
     * Errors in analyze dates
     */
    public static final String NO_STATICIZER = "There is not staticizer";
    public static final String ERROR_OCCURS = "An error occurs while executing the operations: ";
    public static final String NO_DATA_PROCEDURE = "No date procedure imported";
    public static final String NO_FOLDER = "There is not a saved folder with dates";
    public static final String NOTHING_TO_PROCESSED = "There are no dates to be processed";
    /**
     * Localizations properties prefix
     */
    public static final String LOCALIZATION_PREFIX = "localization.";
    /**
     * Localizations properties suffix
     */
    public static final String LOCALIZATION_SUFFIX = ".LocalizationBundle";
    /**
     * Localizations language key
     */
    public static final String LANGUAGE_SESSION_KEY = "language";
}
