/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrystaticizer.manager;

import eu.europa.ec.re3gistrystaticizer.bean.ItemBean;
import java.util.ArrayList;
import java.util.Date;

public class ItemManagerBean {

    private ArrayList<ItemBean> itemBean;

    public ItemManagerBean() {
        itemBean = new ArrayList<ItemBean>();
    }

    public void addItemBean(String uriname, String itemclass, String action, String languagecodeLabel, Date datecreation) {
        itemBean.add(new ItemBean(uriname, itemclass, action, languagecodeLabel, datecreation));
    }

    public ArrayList<ItemBean> getItemBean() {
        return itemBean;
    }

    public void printItemBean() {
        for (int i = 0; i < itemBean.size(); i++) {
            ItemBean temp = itemBean.get(i);
            System.out.println("# " + temp.getUriname() + " - " + temp.getItemclass() + " - " + temp.getAction() + " - " + temp.getLanguagecodeLabel() + " - " + temp.getDatecreation());
        }
    }

    public int getSize() {
        return itemBean.size();
    }
}
