/*
 * Copyright 2010,2014 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 29/09/2014
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-info@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrystaticizer.manager;

import eu.europa.ec.re3gistrystaticizer.bean.StaticizerBean;
import java.util.ArrayList;

public class StaticizerManagerBean {

    private ArrayList<StaticizerBean> staticizerBean;

    public StaticizerManagerBean() {
        staticizerBean = new ArrayList<StaticizerBean>();
    }

    public void addStaticizer(String uuid, String procedurestatuslabel, String datestart, String dateend) {
        staticizerBean.add(new StaticizerBean(uuid, procedurestatuslabel, datestart, dateend));
    }

    public ArrayList<StaticizerBean> getStaticizerBean() {
        return staticizerBean;
    }

    public void printStaticizer() {
        for (int i = 0; i < staticizerBean.size(); i++) {
            StaticizerBean temp = staticizerBean.get(i);
            System.out.println("# " + temp.getUuid() + " - " + temp.getProcedurestatuslabel() + " - " + temp.getDatestart() + " - " + temp.getDateend());
        }
    }

    public int getSize() {
        return staticizerBean.size();
    }

}
